import * as web3 from '@solarti/web3.js';
import * as beet from '@miraplex/beet';
export type SetAuthorityInstructionArgs = {
    newAuthority: web3.PublicKey;
};
export declare const setAuthorityStruct: beet.BeetArgsStruct<SetAuthorityInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type SetAuthorityInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const setAuthorityInstructionDiscriminator: number[];
export declare function createSetAuthorityInstruction(accounts: SetAuthorityInstructionAccounts, args: SetAuthorityInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
