import * as beet from '@miraplex/beet';
import * as web3 from '@solarti/web3.js';
import { ConfigLine } from '../types/ConfigLine';
export type AddConfigLinesInstructionArgs = {
    index: number;
    configLines: ConfigLine[];
};
export declare const addConfigLinesStruct: beet.FixableBeetArgsStruct<AddConfigLinesInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type AddConfigLinesInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const addConfigLinesInstructionDiscriminator: number[];
export declare function createAddConfigLinesInstruction(accounts: AddConfigLinesInstructionAccounts, args: AddConfigLinesInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
