import * as beet from '@miraplex/beet';
import * as web3 from '@solarti/web3.js';
export declare const withdrawStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number[];
}>;
export type WithdrawInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authority: web3.PublicKey;
};
export declare const withdrawInstructionDiscriminator: number[];
export declare function createWithdrawInstruction(accounts: WithdrawInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
